import React, { Component } from 'react';
import { Provider } from 'react-redux';
import { PersistGate } from 'redux-persist/integration/react';
import { App } from '@redux-devtools/app-core';
import { CONNECT_REQUEST } from './constants/socketActionTypes';
import Connection from './components/Settings/Connection';
import configureStore from './store/configureStore';
export class Root extends Component {
  UNSAFE_componentWillMount() {
    const {
      store,
      persistor
    } = configureStore(store => {
      if (store.getState().connection.type !== 'disabled') {
        store.dispatch({
          type: CONNECT_REQUEST
        });
      }
    });
    this.store = store;
    this.persistor = persistor;
  }
  render() {
    if (!this.store) return null;
    return /*#__PURE__*/React.createElement(Provider, {
      store: this.store
    }, /*#__PURE__*/React.createElement(PersistGate, {
      loading: null,
      persistor: this.persistor
    }, /*#__PURE__*/React.createElement(App, {
      extraSettingsTabs: [{
        name: 'Connection',
        component: Connection
      }]
    })));
  }
}
export * from '@redux-devtools/app-core';
export * from './actions';
export * from './constants/socketActionTypes';
export * from './middlewares/api';
export * from './reducers';
export * from './reducers/connection';
export * from './reducers/socket';
export * from './utils/monitorActions';